View Issue Details

IDProjectCategoryView StatusLast Update
0004012SymmetricDSBugpublic2019-06-25 14:05
ReporterhanesAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.2 
Target Version3.10.3Fixed in Version3.10.3 
Summary0004012: Post-create batches for a Load Data operation are not created in the case where wildcards are involved.
DescriptionThe scenario. Three triggers, but one of which has wildcard. It matches to a total of 11 tables. Do a Load Data with the "Create Table" option. The pre-data create batches on the reload channel are created correctly (there's 11 as expected). However, the post-data create batches (to add foreign keys, etc) are not "expanding" the wild cards and only three batches are getting created.
TagsNo tags attached.

Activities

hanes

2019-06-18 14:31

developer   ~0001533

Note that the load data screen in Pro is short the same number of batches, as well. (28 of 36). When issue is fixed I'm guessing the Load Data screen in Pro will automatically fix itself.

Related Changesets

SymmetricDS: 3.10 533fc896

2019-06-19 13:13:26

admin

Details Diff
0004012: Post-create batches for a Load Data operation are not created
in the case where wildcards are involved.

0004012
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2019-06-18 14:29 hanes New Issue
2019-06-18 14:30 hanes Status new => confirmed
2019-06-18 14:31 hanes Note Added: 0001533
2019-06-19 13:13 elong Assigned To => elong
2019-06-19 13:13 elong Status confirmed => assigned
2019-06-19 13:14 elong Status assigned => resolved
2019-06-19 13:14 elong Resolution open => fixed
2019-06-19 13:14 elong Fixed in Version => 3.10.3
2019-06-19 13:14 elong Target Version => 3.10.3
2019-06-19 14:00 admin Changeset attached => SymmetricDS 3.10 533fc896
2019-06-25 14:05 admin Status resolved => closed